(deftemplate personal-data
		(slot name)
		(slot weight)
    		(slot height)
		(slot age)
		(slot smoker)
)

(deffacts people
	(personal-data (name Adam) (weight 60) (height 1.6) (age 50) (smoker no))
	(personal-data (name Brenda) (weight 120) (height 1.75) (age 30) (smoker yes))
	(personal-data (name Charles) (weight 120) (height 1.9) (age 60) (smoker yes))
)

(defrule obesity
	(logical (personal-data (name ?name) (smoker yes) (weight ?weight) (height ?height)))
	(logical (test (> (/ ?weight (* ?height ?height)) 30)))
 =>
	(assert (obesity ?name))
  (printout t  ?name " is obese" crlf)
)

(defrule cardiac-risk
	(logical (personal-data (name ?name) (smoker yes) (age ?age)))
	(logical (obesity ?name))
	(logical (test (> ?age 39)))
 =>
	(assert (cardiac_risk ?name))
  (printout t  ?name " is in the group of high cardiac risk" crlf)
)